Run Assistant
curl --request POST \
--url https://{api_endpoint}/v1/assistants/{assistant_id}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": {
"role": "<string>",
"content": [
{
"json_schema": {},
"ui_schema": {},
"form_data": {},
"id": "<string>",
"form_operation": "<string>",
"sub_type": "<string>",
"event_type": "<string>",
"dps_payload_id": "<string>"
}
],
"mentions": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"document_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_properties": {
"wxa_message": {},
"display_properties": {
"skip_render": false,
"is_async": false,
"form_operation": ""
},
"tool_calls": [
{}
],
"tool_call_id": "<string>",
"tool_name": "<string>",
"wxo_connection_status": {
"connection_status": "<string>",
"connection_message": "<string>"
}
},
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": {
"values": []
},
"step_history": [
{}
],
"message_state": {}
},
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_params": {
"beam_width": 1,
"include_stop_sequence": true,
"length_penalty": {
"decay_factor": 2,
"start_index": 2
},
"max_new_tokens": 1,
"min_new_tokens": 1,
"random_seed": 2147483648,
"repetition_penalty": 1.5,
"return_options": {
"generated_tokens": false,
"input_parameters": true,
"input_text": false,
"input_tokens": false,
"token_logprobs": false,
"token_ranks": false,
"top_n_tokens": 2
},
"stop_sequences": "[\" and \"]",
"temperature": 1,
"time_limit": 123,
"top_k": 50,
"top_p": 0.5,
"truncate_input_tokens": 1,
"typical_p": 0.505
},
"guardrails": {
"hap": {
"input": {
"enabled": false,
"threshold": 0.5
},
"output": {
"enabled": false,
"threshold": 0.5
},
"mask": {
"remove_entity_value": false
}
},
"social_bias": {
"input": {
"enabled": false,
"threshold": 0.5
},
"output": {
"enabled": false,
"threshold": 0.5
},
"mask": {
"remove_entity_value": false
}
},
"pii": {
"input": {
"enabled": false,
"threshold": 0.5
},
"output": {
"enabled": false,
"threshold": 0.5
},
"mask": {
"remove_entity_value": false
}
}
},
"context": {},
"agent_id": "<string>",
"additional_parameters": {},
"environment_id": "<string>",
"version": 123,
"context_variables": {}
}
'import requests
url = "https://{api_endpoint}/v1/assistants/{assistant_id}/runs"
payload = {
"message": {
"role": "<string>",
"content": [
{
"json_schema": {},
"ui_schema": {},
"form_data": {},
"id": "<string>",
"form_operation": "<string>",
"sub_type": "<string>",
"event_type": "<string>",
"dps_payload_id": "<string>"
}
],
"mentions": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"document_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_properties": {
"wxa_message": {},
"display_properties": {
"skip_render": False,
"is_async": False,
"form_operation": ""
},
"tool_calls": [{}],
"tool_call_id": "<string>",
"tool_name": "<string>",
"wxo_connection_status": {
"connection_status": "<string>",
"connection_message": "<string>"
}
},
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": { "values": [] },
"step_history": [{}],
"message_state": {}
},
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_params": {
"beam_width": 1,
"include_stop_sequence": True,
"length_penalty": {
"decay_factor": 2,
"start_index": 2
},
"max_new_tokens": 1,
"min_new_tokens": 1,
"random_seed": 2147483648,
"repetition_penalty": 1.5,
"return_options": {
"generated_tokens": False,
"input_parameters": True,
"input_text": False,
"input_tokens": False,
"token_logprobs": False,
"token_ranks": False,
"top_n_tokens": 2
},
"stop_sequences": "[\" and \"]",
"temperature": 1,
"time_limit": 123,
"top_k": 50,
"top_p": 0.5,
"truncate_input_tokens": 1,
"typical_p": 0.505
},
"guardrails": {
"hap": {
"input": {
"enabled": False,
"threshold": 0.5
},
"output": {
"enabled": False,
"threshold": 0.5
},
"mask": { "remove_entity_value": False }
},
"social_bias": {
"input": {
"enabled": False,
"threshold": 0.5
},
"output": {
"enabled": False,
"threshold": 0.5
},
"mask": { "remove_entity_value": False }
},
"pii": {
"input": {
"enabled": False,
"threshold": 0.5
},
"output": {
"enabled": False,
"threshold": 0.5
},
"mask": { "remove_entity_value": False }
}
},
"context": {},
"agent_id": "<string>",
"additional_parameters": {},
"environment_id": "<string>",
"version": 123,
"context_variables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: {
role: '<string>',
content: [
{
json_schema: {},
ui_schema: {},
form_data: {},
id: '<string>',
form_operation: '<string>',
sub_type: '<string>',
event_type: '<string>',
dps_payload_id: '<string>'
}
],
mentions: [
{type: '<string>', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'}
],
document_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
parent_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
additional_properties: {
wxa_message: {},
display_properties: {skip_render: false, is_async: false, form_operation: ''},
tool_calls: [{}],
tool_call_id: '<string>',
tool_name: '<string>',
wxo_connection_status: {connection_status: '<string>', connection_message: '<string>'}
},
assistant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
context: {values: []},
step_history: [{}],
message_state: {}
},
thread_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
llm_params: {
beam_width: 1,
include_stop_sequence: true,
length_penalty: {decay_factor: 2, start_index: 2},
max_new_tokens: 1,
min_new_tokens: 1,
random_seed: 2147483648,
repetition_penalty: 1.5,
return_options: {
generated_tokens: false,
input_parameters: true,
input_text: false,
input_tokens: false,
token_logprobs: false,
token_ranks: false,
top_n_tokens: 2
},
stop_sequences: '[" and "]',
temperature: 1,
time_limit: 123,
top_k: 50,
top_p: 0.5,
truncate_input_tokens: 1,
typical_p: 0.505
},
guardrails: {
hap: {
input: {enabled: false, threshold: 0.5},
output: {enabled: false, threshold: 0.5},
mask: {remove_entity_value: false}
},
social_bias: {
input: {enabled: false, threshold: 0.5},
output: {enabled: false, threshold: 0.5},
mask: {remove_entity_value: false}
},
pii: {
input: {enabled: false, threshold: 0.5},
output: {enabled: false, threshold: 0.5},
mask: {remove_entity_value: false}
}
},
context: {},
agent_id: '<string>',
additional_parameters: {},
environment_id: '<string>',
version: 123,
context_variables: {}
})
};
fetch('https://{api_endpoint}/v1/assistants/{assistant_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assistants Runs
Run Assistant
Run Assistant
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Context variables for the agent execution (e.g., {'wxo_email_id': 'user@domain.com', 'wxo_user_name': 'John Doe'})
Response
Successful Response
⌘I

